<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <groupId>com.partisiablockchain.core</groupId>
  <artifactId>blockchain</artifactId>
  <packaging>jar</packaging>
  <version>4.32.0</version>

  <licenses>
    <license>
      <name>AGPL-3.0-or-later</name>
      <url>https://www.gnu.org/licenses/agpl.txt</url>
      <distribution>repo</distribution>
    </license>
  </licenses>

  <repositories>
    <repository>
      <id>gitlab-partisiablockchain</id>
      <url>https://gitlab.com/api/v4/groups/12499775/-/packages/maven/</url>
    </repository>
  </repositories>

  <parent>
    <groupId>com.partisiablockchain</groupId>
    <artifactId>pom</artifactId>
    <version>4.38.0</version>
  </parent>

  <dependencies>
    <dependency>
      <groupId>com.partisiablockchain.core</groupId>
      <artifactId>contract</artifactId>
      <version>4.29.0</version>
    </dependency>
    <dependency>
      <groupId>org.mockito</groupId>
      <artifactId>mockito-core</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <groupId>com.secata.tools</groupId>
      <artifactId>jar-util</artifactId>
      <scope>test</scope>
    </dependency>
    <dependency>
      <artifactId>bctls-jdk18on</artifactId>
      <groupId>org.bouncycastle</groupId>
    </dependency>
    <dependency>
      <artifactId>bcprov-jdk18on</artifactId>
      <groupId>org.bouncycastle</groupId>
    </dependency>
  </dependencies>
</project>
